<?php defined('INC') or die ('Direct access');

// You may free change this file for your needs

$site_version		= '1.0.0';
$site_edition		= 'first';
$site_copyright		= '2007, IncPlugins';
$site_website		= 'http://www.incplugins.com/';
$site_license		= 'http://www.incplugins.com/inc/license.php';

inc_plugin('site');

function site_area($name='')
{
	global $homepage, $root, $title, $title_prefix, $title_suffix;
	area(T('Homepage'), $homepage);
	$title_suffix = ' - My Homepage';
	switch ($name)
	{
	case 'home':
		$title = T('Welcome!');
		if (is_homepage())
		{
			$title_suffix = '';
		}
		break;
	case 'area1':
		$title = T('Area 1');
		if (!is_index())
		{
			$title_prefix = 'Area 1 - ';
			area($title, $root.'area1/');
		}
		break;
	case 'area2':
		$title = T('Area 2');
		if (!is_index())
		{
			$title_prefix = 'Area 2 - ';
			area($title, $root.'area2/');
		}
		break;
	case 'area3':
		$title = T('Area 3');
		if (!is_index())
		{
			$title_prefix = 'Area 3 - ';
			area($title, $root.'area3/');
		}
		break;
	case 'about':
		$title = T('About Us');
		if (!is_index())
		{
			$title_prefix = 'About Us - ';
			area($title, $root.'area3/');
		}
		break;
	}
}

function site_head()
{
	global $root, $inc, $area_path, $title, $homepage;
	$r = '<div id="container"><div id="head">'."\n".
		'<div id="top"><img src="'.$inc.'logo.gif" alt=""/>My Homepage</div>'."\n".
		menu('topmenu').
			menu_item(T('Home'), $homepage).
			menu_item(T('Area1'), $root.'area1/').
			menu_item(T('Area2'), $root.'area2/').
			menu_item(T('Area3'), $root.'area3/').
			menu_item(T('About Us'), $root.'about/').
		menu_end()."\n";
	if (!is_homepage())
	{
		$r .= '<div id="toppath">'.$area_path.'</div>'."\n";
		$r.= '<div id="title"><h1>'.$title.'</h1></div>'."\n";
	}
	$r.= '</div><div id="content">'."\n";
	return $r;
}

function site_foot()
{
	global $site_copyright;
	$r= '</div><div id="foot">Powered by <a href="http://www.incplugins.com/">'.
		'IncPlugins</a> | &copy; '.$site_copyright.'</div></div>'."\n";
	return $r;
}

function site_css()
{
?>

html, body {
	margin: 0;
	padding: 0;
}

img {
	border: 0;
}

a:link {
	color: #2367c0;
	background-color: transparent;
}

a:visited {
	color: #0d398c;
	background-color: transparent;
}

a:link:hover, a:visited:hover {
	color: red;
	background-color: transparent;
}

#container {
	margin: 16px;
	padding: 0;
	text-align: left;
	overflow: hidden;
}

#content, #foot {
	clear: both;
}

@media screen {

body {
	margin: 0 auto;
	text-align: center;
	color: black;
	background-color: #f0f0f0;
}

#container {
	margin: 16px auto;
	padding: 0;
	width: 735px;
	text-align: left;
	color: black;
	background-color: white;
	border: solid #0d398c;
	border-width: 1px 1px 1px 1px;
}

#content {
	margin: 24px;
}

}
@media print {
#container {
	width: 210mm;
}
}

#head {
	font-family: verdana, arial, sans-serif;
	margin-bottom: 10px;
	border: solid #0d398c;
	border-width: 0 0 1px 0;
}

@media print {
#head {
	width: 735px;
}
}

#foot {
	text-align: right;
	font-family: verdana, arial, sans-serif;
	font-size: 10px;
	color: white;
	background-color: #0d398c;
	padding: 4px;
	clear: both;
	height: 1%;
}

#foot a, #foot a:visited {
	color: white;
	text-decoration: none;
}

@media print {
#foot {
	border: solid #c0c0c0;
	border-width: 1px 0 0 0;
	width: 735px;
}
}

#top {
	padding: 4px;
	font-size: 24px;
	font-weight: bold;
	color: #0d398c;
}

#top img {
	vertical-align: middle;
}

.topmenu {
	font-size: 11px;
	background-color: #0d398c;
	height: 20px;
	line-height: 20px;
}

.topmenu a, .topmenu a:visited {
	padding: 0 16px;
	line-height: 20px;
	height: 20px;
	text-decoration: none;
	float: left;
	background-color: #0d398c;
	color: white;
}

.topmenu a:hover {
	color: white;
	background-color: #2367c0;
}

.topmenu div {
	display: inline;
	float: left;
	text-align: center;
}

#toppath {
	clear: both;
	padding: 6px 24px;
	font-size: 10px;
}

#title {
	clear: both;
	padding: 0 24px 6px 24px;
}

#title h1 {
	padding: 0;
	margin: 0;
	font-size: 22px;
	color: #0d398c;
}

<?
}
